Please merge mpv 0.29 from Debian

Bug #1785993 reported by Daniel van Vugt
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mpv (Ubuntu)
Medium
Daniel van Vugt

Bug Description

Please merge mpv 0.29 from Debian

https://packages.debian.org/unstable/mpv

tags: added: cosmic upgrade-software-version
Revision history for this message
Simon Quigley (tsimonq2) wrote :

Please explain why the delta can be dropped.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Oh. It probably can't. I forgot about my own patches...

summary: - Please sync mpv 0.29 from Debian
+ Please merge mpv 0.29 from Debian
Changed in mpv (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
description: updated
Revision history for this message
Doug McMahon (mc3man) wrote :

The hwdec patch will still be ok for xserver but not suitable for wayland as vaapi in wayland needs more specific command(s).

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

It looks like I just need to rewrite 08_fix-lp1698287.patch to fix the Wayland case..? Same old bug 1698287.

Changed in mpv (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
Revision history for this message
Daniel van Vugt (vanvugt) wrote :
Revision history for this message
Daniel van Vugt (vanvugt) wrote :
Revision history for this message
Daniel van Vugt (vanvugt) wrote :
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

There's a new dependency on ffmpeg 4.0, but we have that in cosmic-proposed already.

Revision history for this message
Doug McMahon (mc3man) wrote :

This is what I've found concerning wayland, vappi & current mpv (-- is for cli use only

--hwdec= or --hwdec=yes or --hwdec=auto # hwdec using vaapi-copy w/ deco, terminal warnings, error lines

--gpu-context=x11egl --hwdec=vaapi-copy # hwdec w/ deco, no terminal warnings, errors

--gpu-context=wayland --hwdec=vaapi-copy # hwdec using vaapi-copy w/ no deco

--gpu-context=wayland --hwdec=vaapi # hwdec using vaapi w/ no deco

So only the last one vaapi & that option set is not compatible with X

Revision history for this message
Doug McMahon (mc3man) wrote :

To note:
the current hwdec=vaapi will not use any hwdec in wayland.
A generic for both X & wayland could be this, produces vaapi-copy in wayland, vaapi in X
( though non specifeied hwdec will affect nvidia & amd prop drivers..

gpu-context=x11egl
hwdec=

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Doug, I think you are incorrect (at least incorrect mentioning that here).

I fixed VAAPI support on Wayland yesterday in a patch inside version 0.29.0-1ubuntu1 above.

Revision history for this message
Simon Quigley (tsimonq2) wrote :

Instead of attaching the dsc file, etc. please attach a debdiff between the version currently in Cosmic and the version you have.

Unsubscribing sponsors for now.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

That's inappropriate for significant version upgrades, which this is. We usually handle large upgrades without using debdiffs.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

The debdiff is 4.5MB. Here it is. But I don't think it's the right way to handle major upgrades like this.

Revision history for this message
Simon Quigley (tsimonq2) wrote :

> That's inappropriate for significant version upgrades, which this is.

I disagree. That's a standard which I uphold, and others do as well.

But, reviewing. Thanks.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

BTW the diff to be reviewing really is against Debian version 0.29.0-1, not the previous Ubuntu version. This is a "rebase" on the latest Debian version.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Here's the (tiny) diff from Debian. A bit easier to read :)

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Now in cosmic-proposed. Thanks Simon, or whoever did that.

Though it's going to be stuck in proposed until ffmpeg >= 4.0 reaches cosmic release.

Changed in mpv (Ubuntu):
status: In Progress → Fix Committed
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

mpv (0.29.0-1ubuntu1) cosmic; urgency=medium

  * Rewrote 08_fix-lp1698287.patch to work with the latest mpv source code,
    allowing VAAPI to work in Wayland sessions out-of-the-box. (LP: #1698287)
  * Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
    (LP: #1708102)
  * Rebased on latest Debian version 0.29.0-1.

 -- Daniel van Vugt <email address hidden> Thu, 09 Aug 2018 18:04:13 +0800

Changed in mpv (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers